### Hierarchy

- TextDecoder

## Index

### Constructors

- constructor

### Properties

- encoding
- fatal
- ignoreBOM

### Methods

- decode

## Constructors

### constructor

- new TextDecoder(encoding?: undefined | string, options?: undefined | object): TextDecoder

- - Defined in node_modules/@types/node/util.d.ts:153

  #### Parameters

  - ##### Optional encoding: undefined | string

  - ##### Optional options: undefined | object

  #### Returns TextDecoder

## Properties

### encoding

encoding: string

- Defined in node_modules/@types/node/util.d.ts:151

### fatal

fatal: boolean

- Defined in node_modules/@types/node/util.d.ts:152

### ignoreBOM

ignoreBOM: boolean

- Defined in node_modules/@types/node/util.d.ts:153

## Methods

### decode

- decode(input?: TypedArray | DataView | ArrayBuffer | null, options?: undefined | object): string

- - Defined in node_modules/@types/node/util.d.ts:158

  #### Parameters

  - ##### Optional input: TypedArray | DataView | ArrayBuffer | null

  - ##### Optional options: undefined | object

  #### Returns string

Generated using TypeDoc